{% extends "base.html" %}

<body>
  {% block content %}
  <main>
    <div>
      <h1 class="main-header">Lessons and Payments</h1>
      <table class="content-table">
        <thead>
          <th>Name</th>
          <th>Date</th>
          <th>Paid?</th>
        </thead>
        <tbody>
          {% for lesson in lessons %}
          <tr>
            <td><a href="{% url "lessons_detail" lesson.id %}">{{ lesson.name }}</a></td>
            <td>{{ lesson.date }}</td>
            <td>{{ lesson.paid|yesno }}</td>
          </tr>
          {% endfor %}
        </tbody>
      </table>
      <br>
      <p>You have {{ unpaid }} lessons that are unpaid. You owe ${{ owed }}.</p>
      <br>
      <table class="content-table">
        <thead>
          <th>Name</th>
          <th>Date</th>
          <th>Amount</th>
        </thead>
        <tbody>
          {% for payment in payments %}
          <tr>
            <td>{{ payment.name }}</td>
            <td>{{ payment.date }}</td>
            <td>{{ payment.amount }}</td>
          </tr>
          {% endfor %}
        </tbody>
      </table>

      <h3>You have completed {{ lessons|length }} lessons. Congratulations!</h3>
    </div>
  </main>
  {% endblock content %}
</body>
